﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication27
{
    public partial class Form1 : Form
    {
        public static DataSet set;
        public Form1()
        {
            InitializeComponent();

            ultraTile1.Visible = false;

            DataTable table1 = new DataTable("patients");
            table1.Columns.Add("name");
            table1.Columns.Add("id");
            table1.Rows.Add("sam", 1);
            table1.Rows.Add("mark", 2);

            set = new DataSet("office");
            set.Tables.Add(table1);

            ultraGrid1.DataSource = set;
        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            ultraGrid1.PerformAction(UltraGridAction.ExitEditMode);
            ultraGrid1.ActiveCell = currCell.Cell;
            ultraGrid1.PerformAction(UltraGridAction.EnterEditMode);
            ultraGrid1.Hide();
            
            UserControl1 uc1 = new UserControl1(ultraGrid1.ActiveRow.Cells[0].Value.ToString(), ultraGrid1.ActiveRow.Cells[1].Value.ToString());
            ultraTile1.Control = uc1;
            ultraTile1.Show();
        }

        CellUIElement currCell;
        private void ultraGrid1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is CellUIElement)
            {
                currCell = (CellUIElement)e.Element;
            }
        }
    }
}
